i2o_device_claim_release
Prev | I2O message devices | Next

## Name

i2o_device_claim_release — release a device that the OSM is using

## Synopsis

`int i2o_device_claim_release (` | struct i2o_device * | dev`)`;

## Arguments

`dev`

  device to release

## Description

Drop a claim by an OSM on a given I2O device.

AC - some devices seem to want to refuse an unclaim until they have finished internal processing. It makes sense since you don't want a new device to go reconfiguring the entire system until you are done. Thus we are prepared to wait briefly.

Returns 0 on success or negative error code on failure.

Prev | Up | Next
i2o_device_claim | Home | i2o_device_issue_claim